@echo off
REM
REM Copyright (c) 2001, 2004, Oracle Corporation.  All rights reserved.  
REM
REM    DESCRIPTION
REM    This is a wrapper script to opatch perl scripts to save the 
REM    customer needing to find a version of perl.
REM
REM    NOTES: 1. This does make the assumption that Apache was installed
REM              as part of Oracle and $ORACLE_HOME is set.
REM           2. Assumes the version of perl is installed as "perl". If not
REM              either edit this file or call it manually.
REM           3. See the opatch file for the bourne shell script version.
REM
REM    BUGS
REM    * <if you know of any bugs, put them here!>
REM
REM    MODIFIED   (MM/DD/YY)
REM    phnguyen    02/20/04 - Add new Perl path for 9iR2, Win 64-bit
REM    phnguyen    11/18/03 - Add new Perl path for 10G
REM    shgangul    09/04/03 - DPO to DP0 with a 0 not O 
REM    phnguyen    08/29/03 - Merge Shamik's below 
REM    shgangul    07/31/03 - Bug 3063368
REM    cdalessi    08/06/02  Made it work.
REM    rvadraha    05/08/02  Rewrite of the code.
REM    daevans     31/05/02  Inital code.
REM
setlocal

REM Need $ORACLE_HOME as there is a perl there that we should be using.
if x%ORACLE_HOME%==x goto err

REM Is there a version of perl that's usable?
REM The default is to use the one with Apache so if it's not there check
REM to see what's happening.

if NOT EXIST %ORACLE_HOME%\perl\5.6.1\bin\MSWin32-x86\perl.exe goto try9iperl

  set BASE=%~DP0%
  set LIBRARIES=%ORACLE_HOME%\perl\5.6.1\lib
  set PERL_BIN=%ORACLE_HOME%\perl\5.6.1\bin\MSWin32-x86\perl.exe
  set PERL5LIB=%LIBRARIES% 
  echo "set PERL5LIB=%LIBRARIES%"
  echo "%PERL_BIN% %BASE%opatch.pl ..."
  
  %PERL_BIN% %BASE%opatch.pl %*
  goto end

:try9iperl

if NOT EXIST %ORACLE_HOME%\Apache\perl\5.00503\bin\MSWin32-x86\perl.exe goto trywin64

  set BASE=%~DP0%
  set LIBRARIES=%ORACLE_HOME%\Apache\perl\lib\5.00503
  set PERL_BIN=%ORACLE_HOME%\Apache\perl\5.00503\bin\MSWin32-x86\perl.exe
  set PERL5LIB=%LIBRARIES% 
  echo "set PERL5LIB=%LIBRARIES%"
  echo "%PERL_BIN% %BASE%opatch.pl ..."

  %PERL_BIN% %BASE%opatch.pl %*
  goto end

:trywin64
if NOT EXIST %ORACLE_HOME%\Apache\perl\5.00503\bin\MSWin32-IA64\perl.exe goto errperl

  set BASE=%~DP0%
  set LIBRARIES=%ORACLE_HOME%\Apache\perl\lib\5.00503
  set PERL_BIN=%ORACLE_HOME%\Apache\perl\5.00503\bin\MSWin32-IA64\perl.exe
  set PERL5LIB=%LIBRARIES% 
  echo "set PERL5LIB=%LIBRARIES%"
  echo "%PERL_BIN% %BASE%opatch.pl ..."

  %PERL_BIN% %BASE%opatch.pl %*
  goto end

:err

  echo "ORACLE_HOME isn't set, exiting."
  goto end

:errperl

  echo "You have to invoke the patch tool manually."
  echo "The syntax is:"
  echo "    perl <path to patch tool>/opatch.pl <patch command>"
  echo "If everything is installed correctly you should be able to run"
  echo "    perl <path to patch tool>/opatch.pl"
  echo "    and see the basic help message."

:end
